<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if (isset($_GET['start'])){$start = (int)$_GET['start'];} else {$start = 0;}
$link="/?p=$pages&amp;";
$title="Галерея";
if (isset($_GET['st']))
{$st = check($_GET["st"]);
}else{
unset($st);}

if ($numaz != 0){

if(!empty($_POST["delet"]) && $st==2){
$delet=check($_POST["delet"]);
$delet=(int)$delet;
$delSQL = "SELECT * FROM s_gallery WHERE `id`='$delet' and `avtor`='".s_userdan(id)."'";
$rs_d = mysql_query($delSQL);
$coold = mysql_num_rows($rs_d);
if($coold==1){
$del_jp= mysql_fetch_array($rs_d);
unlink("images/gallery/".$del_jp['url']);
mysql_query("DELETE FROM s_gallery WHERE `id`='$delet' and `avtor`='".s_userdan(id)."'");
header ('Location: /?p='.$pages.'&st='.$st.'&'.SID); exit;
}else{
header ('Location: /?p='.$pages.'&'.SID); exit;
}

}


if(!empty($_POST["addim"]) && $st==1)
{
$addim=check($_POST["addim"]);
if($addim=="go"){
$naznew=check($_POST["naznew"]);
$filenew_size = $_FILES['filenew']['size'];
$filenew_name = $_FILES['filenew']['name'];
$size = getimagesize($_FILES['filenew']['tmp_name']);
$log=time();
if(strrchr($filenew_name, '.')=='.jpg'){
if($filenew_size>100 && $filenew_size<=1000000){
if($size[0]>200 && $size[1]>200){
if((strlen($naznew)>=10)&&(strlen($naznew)<=250)){
if(copy($_FILES['filenew']['tmp_name'],'images/gallery/'.$log.'.jpg')){
@chmod('images/gallery/'.$log.'.jpg', 0666);
$sql = mysql_query("INSERT INTO s_gallery (id,avtor,nazvan,url,status,time) Values ('','".s_userdan(id)."','$naznew','$log.jpg','0','".time()."')",$db);
if(!$sql){$error="Запрос не прошел. Попробуйте еще раз.";}else{
header ('Location: /?p='.$pages.'&st=2&'.SID); exit;
}
} else {$N_error="Не удалось загрузить картинку!";}
} else {$N_error="Убедитесь что название содержит от 10 до 250 символов";}
} else {$N_error="Размер картинки должен быть не меньше <b>200 px</b> любой стороны";}
} else {$N_error="Вес картинки должен быть не более чем <b>1 мб</b>";}
} else {$N_error="Разрешается загружать картинку только в формате <b>.jpg</b>";}

}}

}






 ?>